# $Revision: 1.205.2.5 $, $Date: 2010/09/10 18:10:12 $
#
# Conditional build:
%bcond_without	qt	# don't build Qt-based utilities (incl. aviplay)
%bcond_with	divx	# enables divx4linux support (proprietary, binary-only lib) note: if disabled, divx is decoded by ffmpeg
%bcond_without	xvid	# xvid support
%bcond_with	nas	# enable NAS support
#
Summary:	Library for playing AVI files
Summary(pl.UTF-8):	Biblioteka do odtwarzania plików AVI
Summary(pt_BR.UTF-8):	Biblioteca para reproduzir formatos de áudio e vídeo usando binários win32
Name:		avifile
Version:	0.7.45
Release:	17
Epoch:		3
License:	GPL
Group:		X11/Libraries
Source0:	http://downloads.sourceforge.net/avifile/%{name}-0.7-%{version}.tar.bz2
# Source0-md5:	7da94802f120d1b69e04a13170dcd21d
Source1:	%{name}.desktop
Patch0:		%{name}-shareware.patch
Patch1:		%{name}-fix-keys.patch
Patch2:		%{name}-etc_dir.patch
Patch3:		%{name}-aviplay_h.patch
Patch4:		%{name}-no_aux_dir.patch
Patch5:		%{name}-link_shared.patch
Patch6:		%{name}-no_libnsl.patch
Patch7:		%{name}-system-libmad.patch
Patch8:		%{name}-system_wide_ffmpeg.patch
Patch9:		%{name}-opt.patch
Patch10:	%{name}-opts.patch
Patch11:	%{name}-sparc.patch
Patch12:	%{name}-link.patch
Patch13:	%{name}-am.patch
Patch14:	%{name}-gcc4.patch
Patch15:	%{name}-compile.patch
Patch16:	%{name}-extern_c_ffmpeg.patch
Patch18:	%{name}-new_ffmpeg.patch
Patch19:	%{name}-fix-no-bits_per_sample.patch
Patch20:	%{name}-gcc44.patch
URL:		http://avifile.sourceforge.net/
BuildRequires:	SDL-devel >= 1.2.0
BuildRequires:	XFree86-devel
BuildRequires:	a52dec-libs-devel
BuildRequires:	audiofile-devel
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_divx:BuildRequires:	divx4linux-devel}
BuildRequires:	faad2-devel
BuildRequires:	ffmpeg-devel
%ifarch ppc
# version with altivec support fixed
BuildRequires:	gcc >= 5:3.3.2-3
%endif
BuildRequires:	lame-libs-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libmad-devel
BuildRequires:	libogg-devel
BuildRequires:	libtool >= 1:1.4.3
BuildRequires:	libvorbis-devel >= 1:1.0
%{?with_nas:BuildRequires:	nas-devel}
BuildRequires:	pkgconfig
%{?with_qt:BuildRequires:	qt-devel >= 2.0.0}
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRequires:	xft-devel
%{?with_xvid:BuildRequires:	xvid-devel >= 1:1.0.0}
BuildConflicts:	wine-devel
Obsoletes:	avifile-vidix-nvidia
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fno-strict-aliasing -D__STDC_CONSTANT_MACROS

%description
Avifile is a library that allow programs to read and write compressed
AVI files (Indeo Video, DivX ;-), etc.) under x86 Linux.
(De)compression is performed with various plugins (Win32, FFMpeg,...)

%description -l pl.UTF-8
Avifile jest biblioteką służącą do odczytywania i zapisywania
skompresowanych plików AVI (Indeo Video, DivX ;-), etc.) pod Linuksem.
Do (de)kompresji używane są wtyczki (win32, FFMpeg...).

%description -l pt_BR.UTF-8
Avifile busca criar uma biblioteca usável de suporte a arquivos AVI e
um conjunto básico de utilitários (para reprodução, captura e edição)
para o Linux. Contém classes C++ para leitura e criação de AVIs e
interfaces para compressores e descompresseores de áudio e vídeo.

%package devel
Summary:	Header file required to build programs using libavifile
Summary(pl.UTF-8):	Pliki nagłówkowe wymagane przez programy używające libavifile
Summary(pt_BR.UTF-8):	Componentes para desenvolvimento com a avifile
Group:		X11/Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	XFree86-devel
Requires:	xft-devel
Requires:	zlib-devel

%description devel
Header files required to build programs using libavifile.

%description devel -l pl.UTF-8
Pliki nagłówkowe niezbędne do kompilacji programów korzystających z
libavifile.

%description devel -l pt_BR.UTF-8
Componentes para desenvolvimento com a avifile.

%package qt
Summary:	Qt-based AVI utilities
Summary(pl.UTF-8):	Oparte na bibliotece Qt narzędzia do plików AVI
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description qt
Qt-based AVI utilities.

%description qt -l pl.UTF-8
Oparte na bibliotece Qt narzędzia do plików AVI.

%package aviplay
Summary:	Player for AVI/ASF/WMF files
Summary(pl.UTF-8):	Odtwarzacz plików AVI/ASF/WMF
Group:		X11/Applications/Multimedia
Requires:	%{name}-qt = %{epoch}:%{version}-%{release}

%description aviplay
Sample player for AVI, ASF, WFM (with straming support) files.

%description aviplay -l pl.UTF-8
Przykładowy odtwarzacz plików AVI, ASF, WFM (ze wsparciem dla
odtwarzania z sieci.)

%package utils
Summary:	Sample programs using the avifile library
Summary(pl.UTF-8):	Przykładowe programy używające biblioteki avifile
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description utils
Qt-based AVI utilities with few other useful supporting tools for TV
capturing, AVI recompression, benchmarking, joining AVI files. These
programs have more bugs as they are not as extensively developed as
player.

%description utils -l pl.UTF-8
Kilka użytecznych narzędzi do przechwytywania TV, rekompresji AVI,
benchmarkowania, łączenia plików AVI. Mają więcej błędów, ponieważ nie
są tak intensywnie rozwijane jak odtwarzacz.

%package divx
Summary:	Fast MPEG4 codec
Summary(pl.UTF-8):	Szybki kodek MPEG4
Group:		X11/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	divx4linux
Obsoletes:	avifile-divx4

%description divx
DivX MPEG-4 decoder and encoder.

%description divx -l pl.UTF-8
Dekoder i koder MPEG-4 DivX.

%package ffmpeg
Summary:	GPL MPEG4 codec
Summary(pl.UTF-8):	Kodek MPEG4 na licencji GPL
Group:		X11/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description ffmpeg
ffmpeg is a hyper fast realtime audio/video encoder, a streaming
server and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it
into several file formats based on DCT/motion compensation encoding.
Sound is compressed in MPEG audio layer 2 or using an AC3 compatible
stream.

%description ffmpeg -l pl.UTF-8
ffmpeg jest hiperszybkim koderem audio/wideo czasu rzeczywistego,
serwerem strumieni oraz standardowym konwerterem plików audio-wideo.

Może pobierać obraz ze standardowego źródła obrazu Video4Linux i
konwertować je do kilku formatów plików opartych na kodowaniu DCT i
kompensacji ruchu. Dźwięk jest kompresowany w formacie MPEG layer 2
lub przy użyciu strumienia kompatybilnego z AC3.

%package lame_audioenc
Summary:	MP3 audio encoder plugin
Summary(pl.UTF-8):	Wtyczka kodująca dźwięk w formacie MP3
Group:		X11/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
# this library is dlopened
%ifarch %{x8664} ia64 ppc64 s390x sparc64
Requires:	libmp3lame.so.0()(64bit)
%else
Requires:	libmp3lame.so.0
%endif
Requires:	lame-libs

%description lame_audioenc
Plugin for MP3 encoding capability of avirecompress tool.

%description lame_audioenc -l pl.UTF-8
Wtyczka umożliwiająca avirecompressowi kodowanie MP3.

%package mad
Summary:	MAD - MPEG audio plugin
Summary(pl.UTF-8):	MAD - wtyczka MPEG audio
Group:		X11/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description mad
Plugin for decompression of MPEG-1 Layer I/II/III audio streams.

%description mad -l pl.UTF-8
Wtyczka do dekompresji strumieni dźwiękowych MPEG-1 Layer I/II/III.

%package vorbis
Summary:	Vorbis audio plugin
Summary(pl.UTF-8):	Wtyczka Vorbis audio
Group:		X11/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description vorbis
Plugin for decompression of Vorbis audio streams.

%description vorbis -l pl.UTF-8
Wtyczka do dekompresji strumieni audio Vorbis.

%package win32
Summary:	Win32 audio/video plugin
Summary(pl.UTF-8):	Wtyczka audio/video win32
Group:		X11/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Suggests:	w32codec

%description win32
Plugin for using Win32 DLL libraries in avifile located in
/usr/lib/win32.

%description win32 -l pl.UTF-8
Wtyczka do używania w avifile zlokalizowanych w /usr/lib/win32
bibliotek DLL Win32.

%package xvid
Summary:	XVID codec
Summary(pl.UTF-8):	Kodek XVID
Group:		X11/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	xvid

%description xvid
XVID decoder and encoder.

%description xvid -l pl.UTF-8
Dekoder i koder XVID.

%package vidix-driver-fb
Summary:	VIDIX driver for generic FrameBuffer
Summary(pl.UTF-8):	Sterownik VIDIX dla zwykłego FrameBuffera
Group:		X11/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description vidix-driver-fb
VIDIX driver for generic FrameBuffer.

%description vidix-driver-fb -l pl.UTF-8
Sterownik VIDIX dla zwykłego FrameBuffera.

%package vidix-driver-mach64
Summary:	VIDIX driver for ATI Mach64 video adapters
Summary(pl.UTF-8):	Sterownik VIDIX dla kart graficznych ATI Mach64
Group:		X11/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description vidix-driver-mach64
VIDIX driver for ATI Mach64 adapters.

%description vidix-driver-mach64 -l pl.UTF-8
Sterownik vidix dla kart graficznych ATI Mach64.

%package vidix-driver-mga
Summary:	VIDIX driver for MGA (Matrox) video adapters
Summary(pl.UTF-8):	Sterownik VIDIX dla kart graficznych MGA (Matrox)
Group:		X11/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description vidix-driver-mga
VIDIX driver for MGA (Matrox) video adapters.

%description vidix-driver-mga -l pl.UTF-8
Sterownik VIDIX dla kart graficznych MGA (Matrox).

%package vidix-driver-permedia
Summary:	VIDIX driver for Permedia video adapters
Summary(pl.UTF-8):	Sterownik VIDIX dla kart graficznych Permedia
Group:		X11/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description vidix-driver-permedia
VIDIX driver for Permedia video adapters.

%description vidix-driver-permedia -l pl.UTF-8
Sterownik VIDIX dla kart graficznych Permedia.

%package vidix-driver-radeon
Summary:	VIDIX driver for ATI Radeon video adapters
Summary(pl.UTF-8):	Sterownik VIDIX dla kart graficznych ATI Radeon
Group:		X11/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description vidix-driver-radeon
VIDIX driver for ATI Radeon video adapters.

%description vidix-driver-radeon -l pl.UTF-8
Sterownik VIDIX dla kart graficznych ATI Radeon.

%package vidix-driver-rage128
Summary:	VIDIX driver for ATI Rage128 video adapters
Summary(pl.UTF-8):	Sterownik VIDIX dla kart graficznych ATI Rage128
Group:		X11/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description vidix-driver-rage128
VIDIX driver for ATI Rage128 video adapters.

%description vidix-driver-rage128 -l pl.UTF-8
Sterownik VIDIX dla kart graficznych ATI Rage128.

%prep
%setup -q -n %{name}-0.7-%{version}
rm -rf ffmpeg m4/ffmpeg.m4
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1

# unwanted hack
rm -f m4/as.m4
# original file contains only m4/*.m4; must exist because of AC_INIT parameter
> acinclude.m4

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}

%configure \
	CPPFLAGS="-I/usr/include/divx -I/usr/include/libavformat -I/usr/include/libavcodec" \
	--with-qt-includes=%{_includedir}/qt \
	--with-qt-libraries=%{_libdir} \
	--enable-a52 \
	%{?with_divx:--enable-divx4} \
	--enable-lamebin \
	--disable-lame \
	--enable-libmad \
	--enable-release \
%ifarch %{ix86}
%ifnarch i386 i486
	--enable-x86opt \
%endif
%else
	--disable-x86opt \
%endif
	%{!?with_qt:--without-qt} \
	%{!?with_qt:--disable-samples}

touch lib/dummy.cpp
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/usr/lib/win32,%{_pixmapsdir},%{_desktopdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir}

# conflicts with ???
mv -f $RPM_BUILD_ROOT%{_bindir}/kv4lsetup $RPM_BUILD_ROOT%{_bindir}/akv4lsetup
mv -f $RPM_BUILD_ROOT%{_mandir}/man1/kv4lsetup.1 $RPM_BUILD_ROOT%{_mandir}/man1/akv4lsetup.1
%{__perl} -pi -e 's/(kv4l|k4vl)/akv4l/g' $RPM_BUILD_ROOT%{_mandir}/man1/akv4lsetup.1

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install bin/test.png $RPM_BUILD_ROOT%{_pixmapsdir}/avifile.png

# avifile dlopens *.so
rm -f $RPM_BUILD_ROOT%{_libdir}/avifile*/{,vidix/}*.la
# API not exported
rm -f $RPM_BUILD_ROOT%{_libdir}/libqavm*.{so,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	qt -p /sbin/ldconfig
%postun	qt -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README doc/{CREDITS,EXCEPTIONS,KNOWN_BUGS,LICENSING}
%doc doc/{README-DEVEL,TODO,VIDEO-PERFORMANCE,WARNINGS}
%attr(755,root,root)%{_libdir}/libaviplay-*.so.*.*
%attr(755,root,root)%{_libdir}/libaviplaydha-*.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libaviplay-*.so.0
%attr(755,root,root) %ghost %{_libdir}/libaviplaydha-*.so.0
%dir %{_libdir}/avifile*
%attr(755,root,root) %{_libdir}/avifile*/ac3pass.so*
%attr(755,root,root) %{_libdir}/avifile*/audiodec.so*
%attr(755,root,root) %{_libdir}/avifile*/mpeg_audiodec.so*
%attr(755,root,root) %{_libdir}/avifile*/osmjpeg.so*
%ifarch %{ix86}
%attr(755,root,root)%{_libdir}/libaviplayvidix-*.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libaviplayvidix-*.so.0
%dir %{_libdir}/avifile*/vidix
%endif

%files devel
%defattr(644,root,root,755)
%doc doc/README-DEVEL*
%attr(755,root,root) %{_bindir}/avifile-config
%attr(755,root,root) %{_libdir}/libaviplay*.so
%{_libdir}/lib*.la
%{_includedir}/avifile*
%{_aclocaldir}/*.m4
%{_pkgconfigdir}/avifile.pc
%{_mandir}/man1/avifile-config.1*

%if %{with qt}
%files qt
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/avicap
%attr(755,root,root) %{_bindir}/avirecompress
%attr(755,root,root) %{_libdir}/libqavm-*.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libqavm-*.so.0
%{_mandir}/man1/avicap.1*
%{_mandir}/man1/avirecompress.1*

%files aviplay
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/aviplay
%{_mandir}/man1/aviplay.1*
%{_datadir}/%{name}*
%{_desktopdir}/avifile.desktop
%{_pixmapsdir}/avifile.png
%endif

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/akv4lsetup
%attr(755,root,root) %{_bindir}/avibench
%attr(755,root,root) %{_bindir}/avicat
%attr(755,root,root) %{_bindir}/avimake
%attr(755,root,root) %{_bindir}/avirec
%attr(755,root,root) %{_bindir}/avitype
%{_mandir}/man1/akv4lsetup.1*
%{_mandir}/man1/avibench.1*
%{_mandir}/man1/avicat.1*
%{_mandir}/man1/avimake.1*
%{_mandir}/man1/avirec.1*
%{_mandir}/man1/avitype.1*

%if %{with divx}
%files divx
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/avifile*/divx4.so
%endif

%files ffmpeg
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/avifile*/ffmpeg.so

%files lame_audioenc
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/avifile*/mp3lamebin_audioenc.so
#%attr(755,root,root) %{_libdir}/avifile*/mp3lame_audioenc.so

%files mad
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/avifile*/mad_audiodec.so

%files vorbis
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/avifile*/vorbis_audio.so

%ifarch %{ix86}
%files win32
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/avifile*/win32.so
%endif

%if %{with xvid}
%files xvid
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/avifile*/xvid4.so
%endif

%ifarch %{ix86}
%files vidix-driver-fb
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/avifile*/vidix/libgenfb.so

%files vidix-driver-mach64
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/avifile*/vidix/libmach64.so

%files vidix-driver-mga
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/avifile*/vidix/libmga*.so

%files vidix-driver-permedia
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/avifile*/vidix/libpm3.so

%files vidix-driver-radeon
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/avifile*/vidix/libradeon.so

%files vidix-driver-rage128
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/avifile*/vidix/librage128.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: avifile.spec,v $
Revision 1.205.2.5  2010/09/10 18:10:12  glen
- xvid bcond, fcsking fails on ppc

Revision 1.205.2.4  2010/09/10 15:07:36  glen
- release 16

Revision 1.205.2.3  2010/08/25 12:38:03  glen
- release 15

Revision 1.205.2.2  2010/08/25 12:33:55  glen
- vidix is ix86 only

Revision 1.205.2.1  2010/08/25 12:18:54  glen
- for ac with ffmpeg 0.5

Revision 1.205  2010/08/25 12:18:12  glen
- ghost soname symlinks

Revision 1.204  2010/01/28 19:23:36  arekm
- release 16

Revision 1.203  2010/01/28 18:50:40  amateja
- release 15

Revision 1.202  2009/08/09 20:09:52  adamg
- gcc44 patch; release 14

Revision 1.201  2009/07/12 13:18:12  arekm
- release 13

Revision 1.200  2008/11/11 15:12:19  arekm
- release 12

Revision 1.199  2008/10/25 11:29:54  arekm
- release 11

Revision 1.198  2008/10/04 22:49:31  blekot
- rel up

Revision 1.197  2008/10/04 22:42:21  blekot
- added no-bits_per_sample.patch patch
- added more includes to configure
- still doesn't build

Revision 1.196  2008/10/04 22:22:39  blekot
- rel up (9)
- rebuild against libavcodec

Revision 1.195  2008/08/07 19:07:29  arekm
- suggest w32package instead of requiring it

Revision 1.194  2008-02-20 20:37:30  glen
- release 8

Revision 1.193  2008-02-17 21:32:45  sls
- added patches: extern_c_ffmpeg, xf86dga, new_ffmpeg
- "-D__STDC_CONSTANT_MACROS" added to specflags; macro INT64_C used in
  ffmpeg headers requires this for c++-based programs

Revision 1.192  2008-02-13 00:24:44  wolvverine
- rel.7

Revision 1.191  2008-02-07 13:32:49  glen
- rel 6 (ffmpeg)

Revision 1.190  2007-06-14 18:14:30  arekm
- rel 5

Revision 1.189  2007/02/12 21:23:48  glen
- tabs in preamble

Revision 1.188  2007/02/12 00:48:39  baggins
- converted to UTF-8

Revision 1.187  2006/12/26 22:42:22  glen
- adapterized

Revision 1.186  2006/12/22 10:40:13  sls
- fixed system_wide_ffmpeg.patch
- rel 4

Revision 1.185  2006/12/22 10:33:11  sls
- added patches am, compile and gcc4

Revision 1.184  2006/12/18 11:25:41  arekm
- rel 2

Revision 1.183  2006/03/20 02:41:00  pluto
- use system-wide ffmpeg.

Revision 1.182  2006/03/09 07:04:46  qboosh
- updated to 0.7.45, updated opt,ffmpeg-ppc patches, added link patch
- switched to modular xorg

Revision 1.181  2006/01/04 07:25:37  qboosh
- added sparc patch, release 3

Revision 1.180  2005/12/01 13:58:27  qboosh
- dropped avifile_confix_fix, don't create incompatibilities by renaming
  headers dir
- install cleanup, release 2

Revision 1.179  2005/10/31 23:18:05  arekm
- rel 1

Revision 1.178  2005/06/12 11:16:11  qboosh
- deal with both configure.in and configure.ac included in tarball

Revision 1.177  2005/06/05 22:46:35  ankry
- started update to 0.7.43: kiled obsolete nth patch

Revision 1.176  2005/05/11 15:27:01  qboosh
- use x8664 macro

Revision 1.175  2004/12/05 13:12:40  qboosh
- updated to 0.7.41
- removed obsolete am18,freetype-includes,linux2.6,xvid1,mp3 patches
- updated link_shared,ffmpeg-alpha,ffmpeg-ppc patches
- added nth patch (for gcc 3.3+)
- updated files, cleanups

Revision 1.174  2004/10/28 11:36:30  paladine
- "Ogg" and "Vorbis" unification

Revision 1.173  2004/10/28 10:15:40  paladine
- "MP3" unification

Revision 1.172  2004/10/15 05:55:17  qboosh
- proper libmp3lame.so.0 dependency on 64-bit archs

Revision 1.171  2004/09/21 01:46:42  ankry
- rel 8

Revision 1.170  2004/09/21 01:46:02  ankry
- merged from AC-branch

Revision 1.169.2.1  2004/08/16 13:54:12  havner
- reverted gcc 3.4 fixed for AC

Revision 1.169  2004/08/16 13:04:59  havner
- rel 6 for rebuild

Revision 1.168  2004/07/02 19:13:00  grzegol
- added gcc34 patch (fix building with gcc-3.4)
- added -fno-unit-at-a-time to CPPFLAGS and CFLAGS (it doesn't compile
  without this option - at least with gcc-3.4)

Revision 1.167  2004/04/25 22:53:56  arekm
- rename kv4lsetup to akv4lsetup

Revision 1.166  2004/02/28 17:31:12  saq
- more general ix86 %%ifarchs

Revision 1.165  2004/01/19 21:59:40  qboosh
- gcc is fixed, so altivec can be used on ppc; release 4

Revision 1.164  2003/12/30 02:53:36  qboosh
- removed obsolete without_qt patch and moc hack
- updated opt patch to allow passing -g in optflags
- added am18, freetype-includes, linux2.6, xvid1, opts, mp3 patches
- separated -qt, so base and -utils no longer depend on qt
- release 3

Revision 1.163  2003/11/14 07:12:12  qboosh
- one more thing to disable on ppc

Revision 1.162  2003/11/14 06:50:48  qboosh
- ...and disable altivec for now

Revision 1.161  2003/11/13 23:46:16  qboosh
- added ffmpeg-ppc patch

Revision 1.160  2003/11/13 23:00:58  qboosh
- added ffmpeg-alpha patch for alpha and opt patch for !x86; release 2

Revision 1.159  2003/11/11 20:34:24  qboosh
- vidix is built only on x86

Revision 1.158  2003/11/11 15:03:00  qboosh
- xvid is available on all archs; fixed mistaken dir exclusion

Revision 1.157  2003/10/21 19:27:35  qboosh
- restored epoch 3 from rev. 1.148 and before (also in Ra)

Revision 1.156  2003/10/21 19:18:41  qboosh
- readded no_libnsl and system-libmad patches (NOT outdated, just updated filenames!)

Revision 1.155  2003/10/18 13:43:21  krzak
- add: avifile_config_fix.patch (fix include path in avifile-config file)

Revision 1.154  2003/10/18 13:15:14  krzak
- epoch: 2

Revision 1.153  2003/10/18 12:47:18  krzak
- up to ver 0.7.38
- update avifile.desktop file and move to _desktopdir
- remove : no_libnsl.patch, nolibtooltest.patch, system-libmad.patch
- add : no_aux_dir.patch (disable AC_CONFIG_AUX_DIR(admin))
- add : link_shared.patch (fix libtool detection)

Revision 1.152  2003/08/12 06:10:42  trojan
- added patch which fixes building without qt
- new bconds infrastructure

Revision 1.151  2003/08/06 16:32:00  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.150  2003/07/10 20:37:39  qboosh
- updated nolibtooltest patch for current avifile
- updated etc_dir patch to current policy (s/ETC_DIR/HOME_DIR/, leave dots)
- added system-libmad patch (but something is wrong with .mp3 files in this
  avifile version, it doesn't even load mad plugin)
- disabled building lame3.70 plugin, one using newer system libmp3lame is enough
- removed useless *.la for plugins
- removed bogus, no longer existing vidix-nvidia package

Revision 1.149  2003/07/08 09:43:56  ankry
- 0.7.37-20030522, untested

Revision 1.148  2003/07/07 04:23:50  blues
- many small fixes, inspired by kloczek

Revision 1.147  2003/07/04 09:56:55  qboosh
- BR: xft-devel (evel without qt), added libaviplay linking deps to -devel

Revision 1.146  2003/06/27 13:10:44  mmazur
- mass commit; now req: name = epoch:version

Revision 1.145  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.144  2003/05/25 05:45:51  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.143  2003/05/02 21:43:05  adamg
- added avifile-aviplay_h.patch

Revision 1.142  2003/04/12 09:16:53  qboosh
- added nolibtooltest patch to disable test for libtool 1.4.3 (crashed on 1.4e)

Revision 1.141  2003/04/07 12:22:02  juandon
- s/home_etc/etc_dir/
- s/CONFIG_DIR/ETC_DIR/

Revision 1.140  2003/04/04 12:23:56  adamg
- updated to 0.7.34 snap 20030319

Revision 1.139  2003/04/01 16:40:59  mkierus
- conditional BR for nas-devel

Revision 1.138  2003/03/23 17:12:58  juandon
- added home_etc.patch

Revision 1.137  2003/02/26 17:41:16  qboosh
- fix configure.ac too in no_libnsl patch

Revision 1.136  2003/02/22 14:04:07  misiek
- vidix doesn't build on ppc

Revision 1.135  2003/02/21 12:10:56  aflinta
- updated to version 0.7.32 snap 20030219

Revision 1.134  2003/01/15 19:16:29  aflinta
- renabled part of utils subpackage when build without qt

Revision 1.133  2003/01/12 21:36:11  adgor
- prefix /usr

Revision 1.132  2003/01/11 00:35:03  qboosh
- vidix fixes: missing dir, better descriptions, simplified ifarchs

Revision 1.131  2003/01/08 19:50:53  aflinta
- typo

Revision 1.130  2003/01/08 19:44:21  aflinta
- ups, drivers should be called vidix nod xvid

Revision 1.129  2003/01/08 17:04:11  aflinta
- added xvid-driver-* subpackages

Revision 1.128  2003/01/08 15:22:26  aflinta
- cosmetics, TODO: add missing files

Revision 1.127  2003/01/08 11:42:38  aflinta
- freetype2 is back thanks to qboosh for xft patch

Revision 1.126  2003/01/08 01:06:26  aflinta
- updated to version 0.7.24-20030107

Revision 1.125  2003/01/07 19:47:26  qboosh
- added -I/usr/include/freetype2 to CPPFLAGS to allow build with Xft2
- warning: libavifile must be linked with the same version of Xft as qt!

Revision 1.124  2002/12/30 05:13:42  adgor
- One more cppflag (for nev xvid)

Revision 1.123  2002/12/02 11:06:15  ankry
- massive cleaning

Revision 1.122  2002/11/25 14:13:01  ankry
- massive attack: no need for 755 for *.la

Revision 1.121  2002/11/18 14:09:25  baggins
- release 4
- this program DOES NOT require qt 3!!! qt 2.0.0 is just fine!
- fix-keys patch, up is forward down is backward

Revision 1.120  2002/10/19 17:36:52  qboosh
- added ifarchs in case --{en,dis}able-x86opt sometime will work as specified

Revision 1.119  2002/10/14 22:57:46  wolf
- hint about ffmpeg (_with_divx is very unintuitive)

Revision 1.118  2002/10/13 16:36:06  wrobell
- use divx name for divx4 bcond

Revision 1.117  2002/10/13 11:33:16  aflinta
- fixed "The Wrong Way (TM)" for _without_qt builds
- added compile.patch which enables avifile to build on gcc 3.2 (stolen from MDK)

Revision 1.116  2002/10/09 13:14:17  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.115  2002/10/07 13:13:53  mkochano
- Experiment. Release number extedned with info about --with switches
  used. For example avifile built --with divx4 will be called:
  avifile-0.7.16-0.20020913.3+divx4

Revision 1.114  2002/10/05 10:46:25  kloczek
- fixed %files for disable xvid on sparc*.

Revision 1.113  2002/10/05 08:29:42  marcus
- typo

Revision 1.112  2002/10/05 08:22:46  marcus
- rel.3.
- fixed build on i386

Revision 1.111  2002/10/02 19:26:19  marcus
- fix building on ppc

Revision 1.110  2002/10/02 09:53:21  kloczek
- reverte last change and bump _release_ to *.2.

Revision 1.109  2002/10/02 07:41:10  kloczek
- release 4.

Revision 1.108  2002/10/02 07:38:42  qboosh
- yet more fixes for divx4

Revision 1.107  2002/10/02 03:07:23  kloczek
- use --disable-x86opt on non i{5,6}86 and athlon.

Revision 1.106  2002/10/02 02:42:44  kloczek
- disable xvid on sparc* and more fixes for divx.

Revision 1.105  2002/10/02 01:45:07  kloczek
- more fixes for divix.

Revision 1.104  2002/10/02 00:17:43  kloczek
- realy disable divx4linux.

Revision 1.103  2002/10/02 00:04:56  kloczek
- disable divx4linux by default.

Revision 1.102  2002/09/28 17:25:28  wolf
- what for was %%{_ver} ?
- the superstitious edition: 20020913
TODO: xvidix, or whatever it's called

Revision 1.101  2002/09/17 16:06:26  kloczek
- added no_libnsl patch.

Revision 1.100  2002/09/14 12:54:02  qboosh
- removed outdated patches: ac3,size_t,xvid,amfix,deplib
  removed obsolete libtool hack (BR: fixed libtool)
- allow building without proprietary divx4linux (shouldn't it be default?)
- enabled x86opt on i586+ (runtime detection)
- merged lost changes from DEVEL
- release 0.snap.2

Revision 1.99  2002/09/13 11:35:35  kloczek
- spec adapterized.

Revision 1.98  2002/09/12 10:50:21  wrobell
- DivX plugin builds with DivX v. 5, too, so let's use more general name
  for the subpackage
- rel. 0.20020816.1

Revision 1.97  2002/09/09 14:23:06  aflinta
- updated to version 0.7.15
- added QT bcond
- seems to be good, but needs testing

Revision 1.96  2002/08/29 22:59:32  blues
- release 10 - BR proper qt-devel, cosmetics

Revision 1.95  2002/08/22 12:30:07  jack
- added BR nas-devel
- release 9

Revision 1.94  2002/08/15 14:02:23  blues
- release 8 - BR added and sorted

Revision 1.93  2002/07/22 12:35:54  blues
- new doc

Revision 1.92  2002/07/22 11:23:39  kloczek
- release 0.<_snap>.7: rebuild against final libvorbis 1.0.

Revision 1.91  2002/06/23 20:32:20  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.90  2002/06/11 12:40:05  baggins
- release 6
- added xvid patch (properly recognize all XVID encodes)

Revision 1.89  2002/05/21 23:12:42  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.88  2002/04/25 15:50:41  arturs
fixed a small typo

Revision 1.87  2002/04/24 11:01:22  marcus
- xvid is now on ppc and sparc too
- rel.5.

Revision 1.86  2002/04/22 06:12:53  kloczek
- removed all (dumb used) "ExclusiveArch: %%{ix86}".

Revision 1.85  2002/04/22 05:51:56  kloczek
- release %0.%{_snap}.4.

Revision 1.84  2002/04/21 14:33:03  qboosh
- changes amfix to allow building avifile using ac2.53/am1.6.1
- removed unnecessary ifarchs in descriptions

Revision 1.83  2002/04/19 11:37:52  marcus
- %ifarch in BR added (xvid-devel)

Revision 1.82  2002/04/19 08:40:12  marcus
- ExclusiveArch without %%ifarch blocks building on != ix86

Revision 1.81  2002/04/18 15:41:01  baggins
- added xvid package

Revision 1.80  2002/04/18 15:28:10  baggins
- release .3
- buildreq xvid-devel

Revision 1.79  2002/04/15 17:07:29  marcus
- fixed compilation on i586 and i686
- rel.2.

Revision 1.78  2002/04/15 00:55:28  marcus
- new version 0.7 (snap 20020412)
- avifile is NOT %%{ix86} only, but some codecs are.
- rel. 1.

Revision 1.77  2002/04/11 14:54:15  qboosh
- fixed file list (duplicated mad plugin); release 0.snap.5

Revision 1.76  2002/02/22 23:28:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.75  2002/02/18 16:40:10  gotar
- added/fixed polish %descriptions.

Revision 1.74  2002/02/11 22:15:12  kloczek
- adapterized.

Revision 1.73  2002/02/11 14:34:37  mkochano
- Release .4
- s/w32codecs/w32codec/g (but I think that w32codecs would be better
  name ;) )

Revision 1.72  2002/02/03 16:28:18  kloczek
- release 0.%%{_snap}.3.

Revision 1.71  2002/02/03 10:58:06  mkochano
- Added URI.

Revision 1.70  2002/01/27 13:33:07  misiek
- = version in R

Revision 1.69  2002/01/27 13:23:50  wolf
- split to subpackages
- moved ExvlusiveArch from main package to appropriate subpackages
- corrected descriptions
- desktop file
- release 2

Revision 1.68  2002/01/20 18:12:26  mkochano
- Release 1.
- Updated for 20011220admin snapshot.
- ./configure regenerated in plugins/libmad/libmad and libmmxnow.
- .moc files generated in very nasty way... somebody who knows how it
  should be done should correct this I think.
- Updated source URI.

Revision 1.67  2002/01/18 02:12:28  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.66  2001/10/02 21:00:13  qboosh
- amfix patch, pass AS=gcc to configure - fix for stubs.s
- updated deplib patch, re-enabled avoiding relinking
  to allow building without avifile-devel installed

Revision 1.65  2001/10/01 16:23:16  baggins
- updated to latest snap (20010929)
- added autoheader

Revision 1.64  2001/09/26 09:22:13  qboosh
- BuildRequires: autoconf, automake, libtool

Revision 1.63  2001/09/16 16:57:25  qboosh
- removed BuildRequires: alsa-lib-devel - it should be (conditionally) in
  some library (SDL-devel?) Requires. avifile doesn't use ALSA directly.
- added mmxnow-config to -devel
- removed avifile-config and mmxnow-config from base backage

Revision 1.62  2001/09/14 18:28:32  baggins
- updated to 20010914

Revision 1.61  2001/09/14 13:09:25  jajcus
- Requires: divx4linux
- no more Requires: w32codecs
- description changed for the new handling of AVI files

Revision 1.60  2001/09/12 17:49:46  filon
- updated to 20010831
- removed mga patch (not needed now)
- added BuildRequires: alsa-lib-devel
- release 0.snap.1

Revision 1.59  2001/08/31 11:49:05  pascalek
- added fourcc.h to devel files

Revision 1.58  2001/08/09 19:33:04  baggins
- new snapshot

Revision 1.57  2001/07/30 18:09:32  baggins
- new snapshot

Revision 1.56  2001/07/26 13:15:10  wrobell
- fixed devel subpackage requirements

Revision 1.55  2001/07/25 17:03:29  wrobell
- requires w32codec instead of avi-codecs (look at the
  http://avifile.sourceforge.net for reasons)
- rel. 3, stb

Revision 1.54  2001/07/16 16:00:42  wiget
ac 2.50 fixes

Revision 1.53  2001/07/13 14:13:02  baggins
- latest snapshot

Revision 1.52  2001/06/23 23:49:06  misiek
- 20010624 snapshot

Revision 1.51  2001/06/15 15:51:06  baggins
- autoconf must be after automake

Revision 1.50  2001/06/12 19:16:15  misiek
- 20010612 snapshot
- direct rendering support
- deplib patch disabled because it's broken. Needs fix to get xmms+avi plugin
  working

Revision 1.49  2001/06/11 22:39:07  qboosh
- moved plugins' .la files back to base - used and NEEDED to load plugins
- release 0.20010604.1

Revision 1.48  2001/06/04 19:09:15  misiek
- new snapshot (20010604)

Revision 1.47  2001/05/28 16:51:57  baggins
- release 0.snap (THINK FIRST kloczek!)

Revision 1.46  2001/05/28 16:50:41  baggins
- new snapshot 20010528
- merged deplibs and lt14 patches
- removed arts crap - it was not working for a looong time

Revision 1.45  2001/05/27 16:32:13  kloczek
- release 1.<snap>.

Revision 1.44  2001/05/24 16:23:14  qboosh
- opt patch: use rpmcflags in lib/common too
- lt14 patch: fix for libtool 1.4; avoid relinking
- moved *.la to devel

Revision 1.43  2001/05/22 09:06:11  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.42  2001/05/17 14:21:22  baggins
- 20010514 snapshot

Revision 1.41  2001/05/01 17:25:09  misiek
20010501 snapshot

Revision 1.40  2001/04/11 20:11:55  misiek
new snapshot

Revision 1.39  2001/04/04 08:29:30  kloczek
- rebuild against SDL 1.2.0.

Revision 1.38  2001/04/02 15:25:29  misiek
avoid building mga driver

Revision 1.37  2001/04/02 15:07:51  misiek
don't require arts-devel on alpha

Revision 1.36  2001/04/02 14:01:52  misiek
new snapshot (audio/video sync should be ok now); rebuild with SDL 1.2.0; stb

Revision 1.35  2001/03/27 17:26:50  qboosh
- missing dir: %%{_libdir}/avifile
- use %%{rpmcflags} macro

Revision 1.34  2001/03/23 16:31:01  misiek
20010323 snapshot
